package yangtz.cs.liu.campus.service.schoolcalendar;

import com.baomidou.mybatisplus.extension.service.IService;
import yangtz.cs.liu.campus.domain.schoolcalendar.SchoolCalendarDetail;
import yangtz.cs.liu.campus.vo.schoolcalendar.SchoolCalendarDetailVo;

import javax.xml.crypto.Data;
import java.util.Date;
import java.util.List;


public interface ISchoolCalendarDetailService extends IService<SchoolCalendarDetail> {
//    public List<SchoolCalendarDetail> selectSchoolCalendarDetailList(SchoolCalendarDetail schoolCalendarDetail);

    public List<SchoolCalendarDetailVo> selectSchoolCalendarDetailList(SchoolCalendarDetail schoolCalendarDetail);

    public int updateSchoolCalendarDetail(SchoolCalendarDetail schoolCalendarDetail);


    public int insertSchoolCalendarDetail(SchoolCalendarDetail schoolCalendarDetail);

    public List<SchoolCalendarDetail> selectThings(Date date);

    public List<SchoolCalendarDetail> selectAllYear(Date date);

    public SchoolCalendarDetailVo getQueryOne(Long id);

    /**
     * 公众号查询当前日期所在的校历详细条目
     * @param
     * @param
     * @return
     */
    List<SchoolCalendarDetail> getCalendar(Date date,Long calendarId);

    /**
     * 获取当前月份所有节假日
     * @param calendarId
     * @param start
     * @param end
     * @return
     */
    List<SchoolCalendarDetail> getMonth(Long calendarId, Date start, Date end);
}
